Page MenuHomePhabricator

Include namespace at label when creating item via [Add links]
Closed, ResolvedPublic

Description

I created and linked [[:en:Module:Age]] and [[:th:Module:Age]] together via [Add links] button on the sidebar. The software linked these sitelinks as I expected, but it filled labels incorrectly; it didn't include namespace in labels. This is inconsistent with [[:wikidata:Help:Label]] which said "If a page normally displays on Wikipedia with a namespace in front of it, you should keep that namespace in the label."

I know that this is only a policy for Wikidata, not for all Wikibase sites. Perhaps Wikibase extension should be configurable for enabling/disabling filling namespace automatically. However, it should filling namespace by default to distinguish pages from different namespaces.


Version: unspecified
Severity: normal

Details

Reference
bz47774

Event Timeline

bzimport raised the priority of this task from to Needs Triage.
bzimport set Reference to bz47774.
Nullzero created this task.Apr 27 2013, 5:23 PM

Change 71556 had a related patch set uploaded by Hoo man:
Include namespace in labels created via jquery.wikibase.linkitem

https://gerrit.wikimedia.org/r/71556

hoo added a comment.Jul 1 2013, 11:46 PM

I guess including the namespace into the label is a thing we can do per default as it really isn't Wikidata specific.

Change 71556 merged by jenkins-bot:
Include namespace in labels created via jquery.wikibase.linkitem

https://gerrit.wikimedia.org/r/71556

hoo added a comment.Jul 8 2013, 11:40 AM

Change merged by Aude :)

Verified in Wikidata demo time July 17th